org.wildfly.swarm.config.messaging.activemq

## Class Server.ServerResources

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.Server.ServerResources

- Enclosing class:
    Server<T extends Server<T>>

      public static class Server.ServerResources
      extends Object

  Child mutators for Server

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Acceptor` | `acceptor(String key)`
    `List<Acceptor>` | `acceptors()` Get the list of Acceptor resources
    `AddressSetting` | `addressSetting(String key)`
    `List<AddressSetting>` | `addressSettings()` Get the list of AddressSetting resources
    `BindingsDirectoryPath` | `bindingsDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `Bridge` | `bridge(String key)`
    `List<Bridge>` | `bridges()` Get the list of Bridge resources
    `BroadcastGroup` | `broadcastGroup(String key)`
    `List<BroadcastGroup>` | `broadcastGroups()` Get the list of BroadcastGroup resources
    `ClusterConnection` | `clusterConnection(String key)`
    `List<ClusterConnection>` | `clusterConnections()` Get the list of ClusterConnection resources
    `List<ConnectionFactory>` | `connectionFactories()` Get the list of ConnectionFactory resources
    `ConnectionFactory` | `connectionFactory(String key)`
    `Connector` | `connector(String key)`
    `List<Connector>` | `connectors()` Get the list of Connector resources
    `ConnectorService` | `connectorService(String key)`
    `List<ConnectorService>` | `connectorServices()` Get the list of ConnectorService resources
    `List<CoreAddress>` | `coreAddress()` Get the list of CoreAddress resources
    `CoreAddress` | `coreAddress(String key)`
    `DiscoveryGroup` | `discoveryGroup(String key)`
    `List<DiscoveryGroup>` | `discoveryGroups()` Get the list of DiscoveryGroup resources
    `Divert` | `divert(String key)`
    `List<Divert>` | `diverts()` Get the list of Divert resources
    `GroupingHandler` | `groupingHandler(String key)`
    `List<GroupingHandler>` | `groupingHandlers()` Get the list of GroupingHandler resources
    `HTTPAcceptor` | `httpAcceptor(String key)`
    `List<HTTPAcceptor>` | `httpAcceptors()` Get the list of HTTPAcceptor resources
    `HTTPConnector` | `httpConnector(String key)`
    `List<HTTPConnector>` | `httpConnectors()` Get the list of HTTPConnector resources
    `InVMAcceptor` | `inVmAcceptor(String key)`
    `List<InVMAcceptor>` | `inVmAcceptors()` Get the list of InVMAcceptor resources
    `InVMConnector` | `inVmConnector(String key)`
    `List<InVMConnector>` | `inVmConnectors()` Get the list of InVMConnector resources
    `JMSQueue` | `jmsQueue(String key)`
    `List<JMSQueue>` | `jmsQueues()` Get the list of JMSQueue resources
    `JMSTopic` | `jmsTopic(String key)`
    `List<JMSTopic>` | `jmsTopics()` Get the list of JMSTopic resources
    `JournalDirectoryPath` | `journalDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `LargeMessagesDirectoryPath` | `largeMessagesDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `List<LegacyConnectionFactory>` | `legacyConnectionFactories()` Get the list of LegacyConnectionFactory resources
    `LegacyConnectionFactory` | `legacyConnectionFactory(String key)`
    `LiveOnlyHAPolicy` | `liveOnlyHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `PagingDirectoryPath` | `pagingDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `List<PooledConnectionFactory>` | `pooledConnectionFactories()` Get the list of PooledConnectionFactory resources
    `PooledConnectionFactory` | `pooledConnectionFactory(String key)`
    `Queue` | `queue(String key)`
    `List<Queue>` | `queues()` Get the list of Queue resources
    `RemoteAcceptor` | `remoteAcceptor(String key)`
    `List<RemoteAcceptor>` | `remoteAcceptors()` Get the list of RemoteAcceptor resources
    `RemoteConnector` | `remoteConnector(String key)`
    `List<RemoteConnector>` | `remoteConnectors()` Get the list of RemoteConnector resources
    `ReplicationColocatedHAPolicy` | `replicationColocatedHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `ReplicationMasterHAPolicy` | `replicationMasterHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `ReplicationSlaveHAPolicy` | `replicationSlaveHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `RuntimeQueue` | `runtimeQueue(String key)`
    `List<RuntimeQueue>` | `runtimeQueues()` Get the list of RuntimeQueue resources
    `SecuritySetting` | `securitySetting(String key)`
    `List<SecuritySetting>` | `securitySettings()` Get the list of SecuritySetting resources
    `SharedStoreColocatedHAPolicy` | `sharedStoreColocatedHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `SharedStoreMasterHAPolicy` | `sharedStoreMasterHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `SharedStoreSlaveHAPolicy` | `sharedStoreSlaveHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerResources

          public ServerResources()

  - ### Method Detail

    - #### connectorServices

          public List<ConnectorService> connectorServices()

      Get the list of ConnectorService resources
      Returns:
        the list of resources

    - #### connectorService

          public ConnectorService connectorService(String key)

    - #### httpAcceptors

          public List<HTTPAcceptor> httpAcceptors()

      Get the list of HTTPAcceptor resources
      Returns:
        the list of resources

    - #### httpAcceptor

          public HTTPAcceptor httpAcceptor(String key)

    - #### clusterConnections

          public List<ClusterConnection> clusterConnections()

      Get the list of ClusterConnection resources
      Returns:
        the list of resources

    - #### clusterConnection

          public ClusterConnection clusterConnection(String key)

    - #### broadcastGroups

          public List<BroadcastGroup> broadcastGroups()

      Get the list of BroadcastGroup resources
      Returns:
        the list of resources

    - #### broadcastGroup

          public BroadcastGroup broadcastGroup(String key)

    - #### runtimeQueues

          public List<RuntimeQueue> runtimeQueues()

      Get the list of RuntimeQueue resources
      Returns:
        the list of resources

    - #### runtimeQueue

          public RuntimeQueue runtimeQueue(String key)

    - #### addressSettings

          public List<AddressSetting> addressSettings()

      Get the list of AddressSetting resources
      Returns:
        the list of resources

    - #### addressSetting

          public AddressSetting addressSetting(String key)

    - #### jmsQueues

          public List<JMSQueue> jmsQueues()

      Get the list of JMSQueue resources
      Returns:
        the list of resources

    - #### jmsQueue

          public JMSQueue jmsQueue(String key)

    - #### pooledConnectionFactories

          public List<PooledConnectionFactory> pooledConnectionFactories()

      Get the list of PooledConnectionFactory resources
      Returns:
        the list of resources

    - #### pooledConnectionFactory

          public PooledConnectionFactory pooledConnectionFactory(String key)

    - #### diverts

          public List<Divert> diverts()

      Get the list of Divert resources
      Returns:
        the list of resources

    - #### divert

          public Divert divert(String key)

    - #### inVmAcceptors

          public List<InVMAcceptor> inVmAcceptors()

      Get the list of InVMAcceptor resources
      Returns:
        the list of resources

    - #### inVmAcceptor

          public InVMAcceptor inVmAcceptor(String key)

    - #### discoveryGroups

          public List<DiscoveryGroup> discoveryGroups()

      Get the list of DiscoveryGroup resources
      Returns:
        the list of resources

    - #### discoveryGroup

          public DiscoveryGroup discoveryGroup(String key)

    - #### httpConnectors

          public List<HTTPConnector> httpConnectors()

      Get the list of HTTPConnector resources
      Returns:
        the list of resources

    - #### httpConnector

          public HTTPConnector httpConnector(String key)

    - #### connectionFactories

          public List<ConnectionFactory> connectionFactories()

      Get the list of ConnectionFactory resources
      Returns:
        the list of resources

    - #### connectionFactory

          public ConnectionFactory connectionFactory(String key)

    - #### acceptors

          public List<Acceptor> acceptors()

      Get the list of Acceptor resources
      Returns:
        the list of resources

    - #### acceptor

          public Acceptor acceptor(String key)

    - #### remoteAcceptors

          public List<RemoteAcceptor> remoteAcceptors()

      Get the list of RemoteAcceptor resources
      Returns:
        the list of resources

    - #### remoteAcceptor

          public RemoteAcceptor remoteAcceptor(String key)

    - #### remoteConnectors

          public List<RemoteConnector> remoteConnectors()

      Get the list of RemoteConnector resources
      Returns:
        the list of resources

    - #### remoteConnector

          public RemoteConnector remoteConnector(String key)

    - #### inVmConnectors

          public List<InVMConnector> inVmConnectors()

      Get the list of InVMConnector resources
      Returns:
        the list of resources

    - #### inVmConnector

          public InVMConnector inVmConnector(String key)

    - #### legacyConnectionFactories

          public List<LegacyConnectionFactory> legacyConnectionFactories()

      Get the list of LegacyConnectionFactory resources
      Returns:
        the list of resources

    - #### legacyConnectionFactory

          public LegacyConnectionFactory legacyConnectionFactory(String key)

    - #### groupingHandlers

          public List<GroupingHandler> groupingHandlers()

      Get the list of GroupingHandler resources
      Returns:
        the list of resources

    - #### groupingHandler

          public GroupingHandler groupingHandler(String key)

    - #### jmsTopics

          public List<JMSTopic> jmsTopics()

      Get the list of JMSTopic resources
      Returns:
        the list of resources

    - #### jmsTopic

          public JMSTopic jmsTopic(String key)

    - #### connectors

          public List<Connector> connectors()

      Get the list of Connector resources
      Returns:
        the list of resources

    - #### connector

          public Connector connector(String key)

    - #### securitySettings

          public List<SecuritySetting> securitySettings()

      Get the list of SecuritySetting resources
      Returns:
        the list of resources

    - #### securitySetting

          public SecuritySetting securitySetting(String key)

    - #### coreAddress

          public List<CoreAddress> coreAddress()

      Get the list of CoreAddress resources
      Returns:
        the list of resources

    - #### coreAddress

          public CoreAddress coreAddress(String key)

    - #### bridges

          public List<Bridge> bridges()

      Get the list of Bridge resources
      Returns:
        the list of resources

    - #### bridge

          public Bridge bridge(String key)

    - #### queues

          public List<Queue> queues()

      Get the list of Queue resources
      Returns:
        the list of resources

    - #### queue

          public Queue queue(String key)

    - #### sharedStoreColocatedHaPolicy

          public SharedStoreColocatedHAPolicy sharedStoreColocatedHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationMasterHaPolicy

          public ReplicationMasterHAPolicy replicationMasterHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreMasterHaPolicy

          public SharedStoreMasterHAPolicy sharedStoreMasterHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### bindingsDirectoryPath

          public BindingsDirectoryPath bindingsDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### replicationColocatedHaPolicy

          public ReplicationColocatedHAPolicy replicationColocatedHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### journalDirectoryPath

          public JournalDirectoryPath journalDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### sharedStoreSlaveHaPolicy

          public SharedStoreSlaveHAPolicy sharedStoreSlaveHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### pagingDirectoryPath

          public PagingDirectoryPath pagingDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### largeMessagesDirectoryPath

          public LargeMessagesDirectoryPath largeMessagesDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### liveOnlyHaPolicy

          public LiveOnlyHAPolicy liveOnlyHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationSlaveHaPolicy

          public ReplicationSlaveHAPolicy replicationSlaveHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

Copyright © 2018 JBoss by Red Hat. All rights reserved.